#outil pour la gestion des cripts
import knime.scripting.io as knio

#vérification de version "bundled" scikit-learn
import sklearn
print(sklearn.__version__)

#librairies utiles
import pandas

#régression logistique
from sklearn.linear_model import LogisticRegression

# récupérer les données en entrée
data = knio.input_tables[0].to_pandas()
print(data.columns)

#variable cible
y = data.classe

#variables explicatives
X = data.loc[:,data.columns != "classe"]

#instanciation de la LR
LR = LogisticRegression(random_state=0)

#lancement de l'apprentissage
LR.fit(X,y)

#afficher les coefs. dans la console
coefs = pandas.DataFrame(LR.coef_[0],index=X.columns,columns=["Coef"])
print(coefs)

#ajouter aux données les prédiction
out_data = data.copy()
out_data["prediction"] = LR.predict(X)

#envoyer dans le noeud de sortie 0
knio.output_tables[0] = knio.Table.from_pandas(out_data)

#envoyer les coefficients dans la sortie 1
knio.output_tables[1] = knio.Table.from_pandas(coefs)

#envoyer l'objet régression lui-même en sortie
knio.output_objects[0] = LR